Open Babel: OBVerboseBFSVisitor Class Reference

Public Member Functions

# OBVerboseBFSVisitor Class Reference

`#include <verbose_visitors.h>`

List of all members.

## Public Member Functions
| OBVerboseBFSVisitor (std::ostream &o)
template<typename vertex , typename graph >
void | initialize_vertex (vertex e, const graph &g)
template<typename vertex , typename graph >
void | discover_vertex (vertex e, const graph &g)
template<typename vertex , typename graph >
void | examine_vertex (vertex e, const graph &g)
template<typename edge , typename graph >
void | examine_edge (edge e, const graph &g)
template<typename edge , typename graph >
void | tree_edge (edge e, const graph &g)
template<typename edge , typename graph >
void | non_tree_edge (edge e, const graph &g)
template<typename edge , typename graph >
void | cycle_edge (edge e, const graph &g)
template<typename edge , typename graph >
void | gray_target (edge e, const graph &g)
template<typename edge , typename graph >
void | black_target (edge e, const graph &g)
template<typename vertex , typename graph >
void | finish_vertex (vertex e, const graph &g)

## Constructor & Destructor Documentation

OBVerboseBFSVisitor | ( | std::ostream & | o ) | `[inline]`

## Member Function Documentation

void initialize_vertex | ( | vertex | e,
|  | const graph & | g
| ) |  | `[inline]`

void discover_vertex | ( | vertex | e,
|  | const graph & | g
| ) |  | `[inline]`

void examine_vertex | ( | vertex | e,
|  | const graph & | g
| ) |  | `[inline]`

void examine_edge | ( | edge | e,
|  | const graph & | g
| ) |  | `[inline]`

void tree_edge | ( | edge | e,
|  | const graph & | g
| ) |  | `[inline]`

void non_tree_edge | ( | edge | e,
|  | const graph & | g
| ) |  | `[inline]`

void cycle_edge | ( | edge | e,
|  | const graph & | g
| ) |  | `[inline]`

void gray_target | ( | edge | e,
|  | const graph & | g
| ) |  | `[inline]`

void black_target | ( | edge | e,
|  | const graph & | g
| ) |  | `[inline]`

void finish_vertex | ( | vertex | e,
|  | const graph & | g
| ) |  | `[inline]`

The documentation for this class was generated from the following file:

- verbose_visitors.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines